APACMAN(8)

NAME
apacman - AUR wrapper forked from packer

SYNOPSIS

apacman <operation> [options] [packages]

DESCRIPTION

apacman is a bash wrapper forked from packer for pacman and the ArchLinux User Repository (AUR). It adds package saving functionality and some extra pass-through options for makepkg and pacman.

OPERATIONS

-Ss
    Search for a package.

-S
    Install a package.

-Syu
    Sync with repositories.

-Si
    Show information for a package.

-G
    Download and extract ABS and AUR package tarballs, but don’t install anything.

-L
    List installed packages by size (replacement for pacsysclean command).

-P, --pkgfile
    Patched AUR passthrough for pkgfile command.

-W
    View AUR comments.

-V
    Show apacman version.

-v, --verbose
    Show enabled options.

-h, --help
    Show apacman usage.

OPTIONS

--auronly
    Only perform commands for the AUR.

--buildonly
    Build packages but do not install them then post-install remove unneeded build makedepends.

    Note: list of package filenames stored in $tmpdir/bundle.lst

--config filename, --config=filename
    Use alternate configuration file.

--cachevcs
    installs cached VCS (git, svn, hg) packages newer than AUR PKGBUILDs.

--devel
    Update development packages. (cvs, git...)

--edit
    Always ask to edit PKGBUILD (overrides 'noedit' option).

--gendb
    Generate AUR local package database.

--ignore package, --ignore=pkg1,pkg2,pkg3
    Ignore packages. Separate package names with a comma.

--ignorearch
    ignores architectures specified in PKGBUILD.

--keepkeys
    Do not remove imported PGP keys.

--legacy
    Use AUR3 repo rather than default AUR4 (deprecated).

--needed
    Does not install up-to-date packages.

--noaur
    Do not perform commands for the AUR.

--noconfirm
    Perform commands without confirmation from the user.

--nodatabase
    Do not store AUR database.

--noedit
    Perform commands without asking if the user wants to edit any installation files.

--nofail
    Immediately quit if any package does not build successfully.

--noprogress
    Do not replace terminal title with transaction status.

--nosource
    Do not source PKGBUILDs, for security reasons (WIP).

--notify
    Notification via notify-send with transaction status.

--preview
    Always offer to edit the pkgbuild before sourcing it.

--progress
    Terminal title transaction status.

--purgebuild
    Post-install remove unneeded build makedepends.

--purgekeys
    Remove trusted PGP keys.

--quickcheck
    Check for updates and exit.

--quiet
    Turn off package descriptions.

--savedir directory, --savedir=directory
    Use alternate cache directory.

--skipcache
    skips check for pre-built package in cache directory.

--skipinteg
    Skip the integrity check by ignoring AUR package MD5 sums.

--skiptest
    Avoid install of check unit test packages.

--warn
    Treat errors as non-fatal warnings (only enable if you are know what you are doing.)

INTERACTIVE MODE

Use apacman without any operations or options to use the interactive mode. apacman will show a numbered list of search results. To install a package, enter the corresponding number.

EXAMPLE USAGE

    • Sync and update all packages: apacman -Syu

    • Update only AUR packages: apacman -Syu --auronly

    • Update, and reinstall packages that were installed from a revision control source: apacman -Syu --devel

For a package called name:

    • Search: apacman -Ss name

    • Install: apacman -S name

    • Install without confirmations: apacman -S --noconfirm name

    • Get information about a package: apacman -Si name

    • Search and install in interactive mode: apacman name

CONFIGURATION

apacman defaults to saving succesfully built packages to /var/cache/apacman/pkg.

apacman uses the AUR package cache directory if applicable (unless --skipcache parameter)

By default VCS package versions are compared via PKGBUILD in AUR (unless --cachevcs parameter)

apacman output will be colorized unless the environmental variable COLOR is set to `NO'.

To manually edit files, apacman uses the EDITOR variable. If EDITOR is not set then the default editor is vi.

Packages are built in the TMPDIR path. If the TMPDIR variable is not set then the default path is /tmp

Default configuration file:

    • /etc/apacman.conf

These settings are used from /etc/pacman.conf:

    • IgnorePkg

SEE ALSO

apacman.conf(5)

pacman(8)

pkgfile(1)

packer(8)

AUTHORS

OS Hazard <oshazard+apacman@gmail.com>

Matthew Bruenig <matthewbruenig@gmail.com>